package com.qmth.data.docking.service.impl;

import com.qmth.data.docking.entity.TSToken;
import com.qmth.data.docking.service.JobService;
import com.qmth.data.docking.util.zufe.ZufeDataDockingUtil;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.io.IOException;
import java.util.Objects;

/**
 * @Description: job service impl
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/3/31
 */
@Service
public class JobServiceImpl implements JobService {
    private final static Logger log = LoggerFactory.getLogger(JobServiceImpl.class);

    @Resource
    ZufeDataDockingUtil zufeDataDockingUtil;

    /**
     * 同步浙财教务数据
     */
    @Override
    public void syncZufeData() throws IOException {
        TSToken tsToken = zufeDataDockingUtil.login(com.qmth.data.docking.util.zufe.Constants.KEY, com.qmth.data.docking.util.zufe.Constants.SECRET);
        if (Objects.nonNull(tsToken) && Objects.nonNull(tsToken.getAccessToken())) {
            zufeDataDockingUtil.course(tsToken.getAccessToken());
            zufeDataDockingUtil.exam(tsToken.getAccessToken());
        }
    }
}
